#
# This is the SPEC file for creating binary RPMs for the Dom0.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

Name:       qubes-desktop-linux-manager
Version:	4.2.15
Release:	1%{dist}
Summary:	Qubes UI Applications

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org
Source0:    %{name}-%{version}.tar.gz

# because we have "#!/usr/bin/env python" shebangs, RPM puts
# "Requires: $(which # python)" dependency, which, depending on $PATH order,
# may point to /usr/bin/python or /bin/python (because Fedora has this stupid
# /bin -> usr/bin symlink). python*.rpm provides only /usr/bin/python.
AutoReq:	no

BuildArch: noarch

BuildRequires:  make
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  gettext

Requires:  python%{python3_pkgversion}-setuptools
Requires:  python%{python3_pkgversion}-gbulb
Requires:  python%{python3_pkgversion}-inotify
Requires:  libappindicator-gtk3
Requires:  python%{python3_pkgversion}-systemd
Requires:  gtk3
Requires:  python%{python3_pkgversion}-qubesadmin >= 4.2.3
# FIXME: we need some way for applying updates from GUI VM
#Requires:  qubes-mgmt-salt-dom0-update >= 4.0.5
Requires:  qubes-artwork >= 4.1.5
# for qui/widget-wrapper
Requires:  xhost
Requires:  gtksourceview4
Requires:  gnome-icon-theme

Provides:   qui = %{version}-%{release}
Obsoletes:  qui < 4.0.0


%description
A collection of GUI application for enhancing the Qubes UX.

%prep
%setup

%build
%py3_build

%install
%py3_install
make install DESTDIR=$RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :

%files
%defattr(-,root,root,-)

%dir %{python3_sitelib}/qui-*.egg-info
%{python3_sitelib}/qui-*.egg-info/*

%dir %{python3_sitelib}/qui
%dir %{python3_sitelib}/qui/__pycache__
%{python3_sitelib}/qui/__pycache__/*
%{python3_sitelib}/qui/__init__.py
%{python3_sitelib}/qui/decorators.py
%{python3_sitelib}/qui/clipboard.py
%{python3_sitelib}/qui/utils.py

%{python3_sitelib}/qui/updater.glade
%{python3_sitelib}/qui/updater_settings.glade
%{python3_sitelib}/qui/qubes-updater-base.css
%{python3_sitelib}/qui/qubes-updater-light.css
%{python3_sitelib}/qui/qubes-updater-dark.css

%{python3_sitelib}/qui/styles/qubes-colors-light.css
%{python3_sitelib}/qui/styles/qubes-colors-dark.css
%{python3_sitelib}/qui/styles/qubes-widgets-base.css

%dir %{python3_sitelib}/qui/updater/
%dir %{python3_sitelib}/qui/updater/__pycache__
%{python3_sitelib}/qui/updater/__pycache__/*
%{python3_sitelib}/qui/updater/__init__.py
%{python3_sitelib}/qui/updater/intro_page.py
%{python3_sitelib}/qui/updater/progress_page.py
%{python3_sitelib}/qui/updater/summary_page.py
%{python3_sitelib}/qui/updater/updater.py
%{python3_sitelib}/qui/updater/updater_settings.py
%{python3_sitelib}/qui/updater/utils.py

%dir %{python3_sitelib}/qui/tray/
%dir %{python3_sitelib}/qui/tray/__pycache__
%{python3_sitelib}/qui/tray/__pycache__/*
%{python3_sitelib}/qui/tray/__init__.py
%{python3_sitelib}/qui/tray/domains.py
%{python3_sitelib}/qui/tray/devices.py
%{python3_sitelib}/qui/tray/disk_space.py
%{python3_sitelib}/qui/tray/updates.py

%dir %{python3_sitelib}/qubes_config
%dir %{python3_sitelib}/qubes_config/__pycache__
%{python3_sitelib}/qubes_config/__init__.py
%{python3_sitelib}/qubes_config/__pycache__/*
%{python3_sitelib}/qubes_config/global_config/__init__.py
%{python3_sitelib}/qubes_config/global_config/__pycache__/*
%{python3_sitelib}/qubes_config/global_config/basics_handler.py
%{python3_sitelib}/qubes_config/global_config/conflict_handler.py
%{python3_sitelib}/qubes_config/global_config/global_config.py
%{python3_sitelib}/qubes_config/global_config/page_handler.py
%{python3_sitelib}/qubes_config/global_config/policy_handler.py
%{python3_sitelib}/qubes_config/global_config/policy_manager.py
%{python3_sitelib}/qubes_config/global_config/policy_rules.py
%{python3_sitelib}/qubes_config/global_config/policy_exceptions_handler.py
%{python3_sitelib}/qubes_config/global_config/rule_list_widgets.py
%{python3_sitelib}/qubes_config/global_config/thisdevice_handler.py
%{python3_sitelib}/qubes_config/global_config/updates_handler.py
%{python3_sitelib}/qubes_config/global_config/usb_devices.py
%{python3_sitelib}/qubes_config/global_config/vm_flowbox.py
%{python3_sitelib}/qubes_config/new_qube/__init__.py
%{python3_sitelib}/qubes_config/new_qube/__pycache__/*
%{python3_sitelib}/qubes_config/new_qube/advanced_handler.py
%{python3_sitelib}/qubes_config/new_qube/application_selector.py
%{python3_sitelib}/qubes_config/new_qube/network_selector.py
%{python3_sitelib}/qubes_config/new_qube/new_qube_app.py
%{python3_sitelib}/qubes_config/new_qube/template_handler.py
%{python3_sitelib}/qubes_config/widgets/__init__.py
%{python3_sitelib}/qubes_config/widgets/__pycache__/*
%{python3_sitelib}/qubes_config/widgets/gtk_utils.py
%{python3_sitelib}/qubes_config/widgets/gtk_widgets.py
%{python3_sitelib}/qubes_config/widgets/utils.py

%{python3_sitelib}/qubes_config/global_config.glade
%{python3_sitelib}/qubes_config/new_qube.glade
%{python3_sitelib}/qubes_config/qubes-global-config-base.css
%{python3_sitelib}/qubes_config/qubes-global-config-light.css
%{python3_sitelib}/qubes_config/qubes-global-config-dark.css
%{python3_sitelib}/qubes_config/qubes-policy-editor-base.css
%{python3_sitelib}/qubes_config/qubes-policy-editor-light.css
%{python3_sitelib}/qubes_config/qubes-policy-editor-dark.css
%{python3_sitelib}/qubes_config/qubes-new-qube-base.css
%{python3_sitelib}/qubes_config/qubes-new-qube-light.css
%{python3_sitelib}/qubes_config/qubes-new-qube-dark.css

%{python3_sitelib}/qubes_config/policy_editor/__pycache__/*
%{python3_sitelib}/qubes_config/policy_editor.glade
%{python3_sitelib}/qubes_config/policy_editor/policy_editor.py
%{python3_sitelib}/qubes_config/policy_editor/__init__.py
%{python3_sitelib}/qubes_config/policy_editor/policy_help.txt

%{_bindir}/qui-domains
%{_bindir}/qui-devices
%{_bindir}/qui-disk-space
%{_bindir}/qui-updates
%{_bindir}/qui-clipboard
%{_bindir}/qubes-update-gui
/etc/xdg/autostart/qui-domains.desktop
/etc/xdg/autostart/qui-devices.desktop
/etc/xdg/autostart/qui-clipboard.desktop
/etc/xdg/autostart/qui-disk-space.desktop
/etc/xdg/autostart/qui-updates.desktop
/usr/share/icons/Adwaita/22x22/devices/generic-usb.png
/usr/share/icons/Adwaita/22x22/status/outdated.png
/usr/share/applications/qubes-update-gui.desktop
/usr/bin/widget-wrapper
/lib/systemd/user/qubes-widget@.service
/usr/share/locale/en/LC_MESSAGES/desktop-linux-manager.mo
/usr/share/locale/pl/LC_MESSAGES/desktop-linux-manager.mo

/usr/share/applications/qubes-global-config.desktop
/usr/share/applications/qubes-new-qube.desktop
/usr/share/applications/qubes-policy-editor-gui.desktop

%{_bindir}/qubes-new-qube
%{_bindir}/qubes-global-config
%{_bindir}/qubes-policy-editor-gui

/usr/share/icons/hicolor/16x16/apps/qui-domains.png
/usr/share/icons/hicolor/24x24/apps/qui-domains.png
/usr/share/icons/hicolor/32x32/apps/qui-domains.png
/usr/share/icons/hicolor/40x40/apps/qui-domains.png
/usr/share/icons/hicolor/48x48/apps/qui-domains.png
/usr/share/icons/hicolor/72x72/apps/qui-domains.png
/usr/share/icons/hicolor/96x96/apps/qui-domains.png
/usr/share/icons/hicolor/128x128/apps/qui-domains.png

/usr/share/icons/hicolor/scalable/apps/qubes-ask.svg
/usr/share/icons/hicolor/scalable/apps/qubes-customize.svg
/usr/share/icons/hicolor/scalable/apps/qubes-check-maybe.svg
/usr/share/icons/hicolor/scalable/apps/qubes-check-yes.svg
/usr/share/icons/hicolor/scalable/apps/qubes-delete.svg
/usr/share/icons/hicolor/scalable/apps/qubes-delete-x.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-hidden-black.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-shown-black.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-hidden-white.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-shown-white.svg
/usr/share/icons/hicolor/scalable/apps/qubes-info.svg
/usr/share/icons/hicolor/scalable/apps/qubes-key.svg
/usr/share/icons/hicolor/scalable/apps/qubes-logo.svg
/usr/share/icons/hicolor/scalable/apps/qubes-ok.svg
/usr/share/icons/hicolor/scalable/apps/qubes-padlock.svg
/usr/share/icons/hicolor/scalable/apps/qubes-question-light.svg
/usr/share/icons/hicolor/scalable/apps/qubes-question.svg
/usr/share/icons/hicolor/scalable/apps/qubes-this-device.svg
/usr/share/icons/hicolor/scalable/apps/qubes-new-qube.svg
/usr/share/icons/hicolor/scalable/apps/qubes-global-config.svg
/usr/share/icons/hicolor/scalable/apps/check_no.svg
/usr/share/icons/hicolor/scalable/apps/check_maybe.svg
/usr/share/icons/hicolor/scalable/apps/check_yes.svg
/usr/share/icons/hicolor/scalable/apps/qubes-policy-editor.svg
/usr/share/icons/hicolor/scalable/apps/qui-domains-scalable.svg

/usr/share/gtksourceview-4/language-specs/qubes-rpc.lang

%changelog
* Thu Oct 12 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-desktop-linux-manager.git

* Thu Oct 12 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0b18741
- version 4.2.15

* Wed Oct 11 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dcda6d5
- updater: always show main window, even if no updates are available

* Mon Oct 09 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 705006f
- version 4.2.14

* Tue Sep 26 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 828b489
- More strictly check against unexpected arguments in policy

* Fri Sep 15 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2fd4eec
- version 4.2.13

* Wed Sep 13 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 4dd881e
- qubes-vm-update: updates standalones too

* Sun Aug 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3e63050
- version 4.2.12

* Sat Aug 19 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3d4634a
- Rename qrexec-policy-editor to qrexec-policy-editor-gui

* Thu Aug 03 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 1c29723
- Make sure all qubes are shown in domains widget

* Wed Jul 19 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 8a6e5ea
- qubes-vm-update: add CLI options

* Sun Jul 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 11f09e2
- version 4.2.11

* Fri Jul 14 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 310216b
- Fix missing closign bracket in disk widget

* Tue Jul 11 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - b039fae
- improve error reporting in updates section of config

* Fri Jul 07 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 3c1c1be
- Add Win+C/+V as copy/paste shortcuts

* Fri Jul 07 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8f37115
- version 4.2.10

* Wed Jul 05 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 09433f2
- Move USB conflicting file info box to correct place

* Sun Jul 02 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1122fd2
- version 4.2.9

* Thu Jun 29 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - ea93adb
- Fix what property is actually set for default_dispvm

* Wed Jun 28 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 1593a66
- Global config: if policy files do not exist, do not create them

* Wed Jun 28 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - ea0f040
- Add caching to qubes-global-config

* Wed Jun 28 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - e5a1346
- Use qrexec.client.call instead of reimplementing it

* Fri Jun 23 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 046ab7f
- Fix button text color in global config

* Thu Jun 22 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 91af1a1
- Fix global-config to accept a system with only dom0

* Fri Jun 09 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 22d1401
- Add missing gnome-icon-theme dependency

* Thu Jun 01 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d59b8f7
- version 4.2.8

* Thu Jun 01 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 22323f7
- Get certification status from the YAML data

* Tue May 30 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 70a1986
- Fix USB device handling in Global Config

* Tue May 30 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - d59dc8d
- Lazy-load available applications in new qube

* Mon May 29 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 08497f4
- qubes-vm-update: add update interruption tests

* Mon May 29 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bdd79e6
- version 4.2.7

* Sun May 28 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - a4cadc5
- More resilient qui-disk-space widget

* Tue May 23 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - 0a0aab1
- qubes-vm-update: logging

* Mon May 22 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7150ab0
- ci: include the signing key for codecov

* Mon May 22 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eb9d48c
- Update codecov-wrapper

* Mon May 22 2023 Piotr Bartman <prbartman@invisiblethingslab.com> - ec60c54
- qubes-vm-update: fix cancellation

* Thu May 04 2023 Andrew David Wong <adw@qubes-os.org> - 4be2f53
- Remove sentence about opening link in disposable

* Mon May 01 2023 Andrew David Wong <adw@qubes-os.org> - 9f73cc5
- Replace unofficial links; improve language

* Mon May 01 2023 Andrew David Wong <adw@qubes-os.org> - 7b7bdaa
- Remove IDs without links; sort by order of appearance

* Mon May 01 2023 Andrew David Wong <adw@qubes-os.org> - 5c7fb5f
- Add IDs for new links

* Mon May 01 2023 Andrew David Wong <adw@qubes-os.org> - 7f2888d
- Remove links from tooltips

* Mon May 01 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 8420fb9
- Fix apply in Updates tab in Global Config

* Mon May 01 2023 Andrew David Wong <adw@qubes-os.org> - 639662d
- Improve language

* Thu Apr 27 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 44504d7
- ci: drop R4.1

* Thu Apr 27 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 42b905d
- version 4.2.6

* Thu Apr 27 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2bbe0b9
- Bump required python-qubesadmin version

* Thu Apr 27 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 624b6b6
- Fix uncaught exception in Global Config

* Thu Apr 27 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 7738acf
- Fix discard changes on page switch in Global Config

* Thu Apr 27 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 59de390
- Fix scrolling to currently-focused widget in Global Config

* Thu Apr 27 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 33f9508
- Fix keyboard nav on the Updates page

* Tue Apr 25 2023 Andrew David Wong <adw@qubes-os.org> - 1b65626
- Improve language

